Bug 63327 - [MAINTAINER] sysutils/e2fsprogs: update, fix include/lib mess
[MAINTAINER] sysutils/e2fsprogs: update, fix include/lib mess
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Greg Lewis
Depends on:
  Show dependency treegraph
Reported: 2004-02-25 02:40 UTC by matthias.andree
Modified: 2004-02-26 18:22 UTC (History)
1 user (show)

See Also:

e2fsprogs-1.35.w20040131.20040224135102.patch (15.52 KB, patch)
2004-02-25 02:40 UTC, matthias.andree
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description matthias.andree 2004-02-25 02:40:02 UTC
Dear committer, there is one file removed and one added in files,
remember to cvs rm/cvs add.


- Update to 1.35.w20040131.20040224135102
  This is a BK snapshot as of Feb 24th, which contains some more bug fixes, and
  should now handle -mieee for rotten alpha FPUs by itself (please report if it
  doesn't) - the CFLAGS addition has been removed from Makefile.

- Use official "install-libs" target to install helper libs, man pages and
  includes rather than the botched post-install target, to fix missing
  et/com_err.h header problems with dependent packages.
  Problem reported by Greg Lewis.

- Add a note to pkg-message that we're using a modified copy, not an official
  release. Note also that the patch isn't the full patch, it omits changelog
  and configure hunks to have a ports/ friendly size.

FreeBSD port visible ChangeSets added through the patch:

ChangeSet@1.1339, 2004-02-24 00:16:09-05:00, tytso@think.thunk.org
  unix.c (main, PRS), e2fsck.8.in: Add a new -k option which keeps
        the existing badblocks list when using the -c option.
        (Addresses Debian bug #229103)

ChangeSet@1.1334.1.2, 2004-02-23 22:30:54-05:00, tytso@think.thunk.org
  debugfs.c (internal_dump_inode): Display the major/minor device
        numbers for block/character devices.
        (do_mknod): Add support for new-style device numbers (where
        the major or minor number is greater than 255 and less
        than 65535).  (Addresses Sourceforge bug #865289)

ChangeSet@1.1335, 2004-02-23 21:30:11+01:00, matthias.andree@gmx.de
  Add -mieee to CFLAGS if we're using GCC and the CPU is an Alpha.
  Fixes a test case failure in FreeBSD/alpha. Reported and fix
  suggested by Greg Lewis.

ChangeSet@1.1334, 2004-02-22 15:41:11-05:00, tytso@think.thunk.org
  Fix up preen mode messages during pass 1B/C/D.

ChangeSet@1.1333, 2004-02-21 22:20:01-05:00, tytso@think.thunk.org
  debugfs.8.in: Fix the debugfs man page to reference the
        init_filesys command, instead of "initialize".  (Addresses
        Debian Bug #232406)

ChangeSet@1.1332, 2004-02-21 21:04:30-05:00, tytso@think.thunk.org
  ext2fs.h (ext2fs_resize_mem): Fix C++ problem.  (Addresses Red
        Hat Bugzilla #112448; thanks Thomas Woerner from Red Hat.)

ChangeSet@1.1330, 2004-02-21 20:54:31-05:00, tytso@think.thunk.org
  Fix libext2fs and debugfs to correctly deal with symlinks that have
  extended attribute information.  (Addresses Debian Bug #232328)

ChangeSet@1.1329, 2004-02-21 20:53:03-05:00, tytso@think.thunk.org
  e2fsck.c (e2fsck_run): Clear the SETJMP_OK flag when returning
        so we don't double longjump into an invalid stack frame.
        (Thanks to Matthias Andree for providing this fix.)

Generated with FreeBSD Port Tools 0.50
Comment 1 Greg Lewis freebsd_committer 2004-02-25 21:56:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->glewis-ports-bugs
Comment 2 Greg Lewis freebsd_committer 2004-02-25 21:57:13 UTC
Responsible Changed
From-To: glewis-ports-bugs->glewis

I'll take this.
Comment 3 Greg Lewis freebsd_committer 2004-02-26 18:22:40 UTC
State Changed
From-To: open->closed

Committed, thanks!